FAQ
Hi,

yes, it would be nice to know which code causes this Panics, so I am able to fix it.

It would be great if you could provide some small examples.

Gerald

P.S. We should move this discussion on the mailing list again
-----Original Message-----
From: egbert druppelvanger
Sent: Monday, April 02, 2012 2:51 PM
To: Gerald Richter - ECOS
Subject: Re: embperl download

I know the feeling :)

By the way, Embperl 2.5.0 and perl 5.14 are working under FastCGI, nice job.

I was getting some weird "Perl panic errors" about trying to reference freed
scalars, but managed to take out the offending code -- I can write it up if
there's interest,

Grts. Eg
On Mon, Apr 02, 2012 at 02:47:00PM +0200, richter@ecos.de wrote:
Yes, you are right, the whole site needs to be updated. There are more
stuff that is out of date. That's one item on my (unfortunately) very long
todo list...
Gerald
--
This message has been scanned for viruses and dangerous content by
MailScanner, and is believed to be clean.


---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org

Search Discussions

  • Jan Kyncl at Apr 4, 2012 at 12:33 pm
    Hi Gerald,

    I tried to install new preview version of the Embperl
    So compilation was without problems.
    All tests passed OK ( make test TESTARGS="-i")

    but when I restart apache I got this message:

    [Wed Apr 04 14:22:02 2012] [error] Embperl::Thread object version 2.4.0
    does not match bootstrap parameter 2.5.0_1 at
    /usr/lib64/perl5/site_perl/5.12.4/x86_64-linux/Embperl.pm line
    108.\nCompilation failed in requ
    [Wed Apr 04 14:22:02 2012] [error] Can't load Perl module Embperl for
    server tester:0, exiting...

    system Gentoo amd64
    perl: 5.12.4
    apache:2.2.21
    modperl:2.0.4-r1


    Best Regards

    Jan


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Gerald Richter at Apr 9, 2012 at 4:19 pm
    Hi,

    this looks like you have another Embperl installed, which is found instead of the correct one.

    Please check your perl search path

    Gerald

    -----Original Message-----
    From: Jan Kyncl
    Sent: Wednesday, April 04, 2012 2:33 PM
    To: embperl@perl.apache.org
    Subject: Embperl 2.5.0

    Hi Gerald,

    I tried to install new preview version of the Embperl So compilation was
    without problems.
    All tests passed OK ( make test TESTARGS="-i")

    but when I restart apache I got this message:

    [Wed Apr 04 14:22:02 2012] [error] Embperl::Thread object version 2.4.0 does
    not match bootstrap parameter 2.5.0_1 at
    /usr/lib64/perl5/site_perl/5.12.4/x86_64-linux/Embperl.pm line
    108.\nCompilation failed in requ [Wed Apr 04 14:22:02 2012] [error] Can't load
    Perl module Embperl for server tester:0, exiting...

    system Gentoo amd64
    perl: 5.12.4
    apache:2.2.21
    modperl:2.0.4-r1


    Best Regards

    Jan


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Jan Kyncl at Apr 9, 2012 at 4:52 pm
    Hi Gerald,

    You are right, There was wrong symbolic link to old version of the
    Embperl in my old ebuild.

    THX

    Jan
    Hi,

    this looks like you have another Embperl installed, which is found instead of the correct one.

    Please check your perl search path

    Gerald

    -----Original Message-----
    From: Jan Kyncl
    Sent: Wednesday, April 04, 2012 2:33 PM
    To: embperl@perl.apache.org
    Subject: Embperl 2.5.0

    Hi Gerald,

    I tried to install new preview version of the Embperl So compilation was
    without problems.
    All tests passed OK ( make test TESTARGS="-i")

    but when I restart apache I got this message:

    [Wed Apr 04 14:22:02 2012] [error] Embperl::Thread object version 2.4.0 does
    not match bootstrap parameter 2.5.0_1 at
    /usr/lib64/perl5/site_perl/5.12.4/x86_64-linux/Embperl.pm line
    108.\nCompilation failed in requ [Wed Apr 04 14:22:02 2012] [error] Can't load
    Perl module Embperl for server tester:0, exiting...

    system Gentoo amd64
    perl: 5.12.4
    apache:2.2.21
    modperl:2.0.4-r1


    Best Regards

    Jan


    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org

    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org

    ---------------------------------------------------------------------
    To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
    For additional commands, e-mail: embperl-help@perl.apache.org
  • Carl Eklof at May 15, 2012 at 5:51 pm
    I'm building our project (which uses Embperl) on a new machine. Everything built ok, but Embperl won't run. Running `make test` yields the text below. Aside from upgrading Perl, it is a suite of software that has been working and building fine on a bunch of other machines.

    "Compilation error" is not terribly informative. Any help/advice anyone has would be greatly appreciated.

    Thanks,

    -Carl

    System: Linux blosm.com 2.6.18-238.37.1.el5 #1 SMP Fri Apr 6 13:47:10 EDT 2012 x86_64 x86_64 x86_64 GNU/Linux
    OS: Red Hat Enterprise Linux Server release 5.6 (Tikanga)
    Perl: 5.14.2
    Embperl: 2.3.0
    Apache:2.2.4
    Modperl:2.0.6


    #### running make test #################

    === 2 === Mon 18:57:10 /blosm/Core/output/build/Embperl-2.3.0 ===>
    ceklof@blosm$ make test
    make[1]: Entering directory `/blosm/Core/output/build/Embperl-2.3.0/xs'
    make[2]: Entering directory `/blosm/Core/output/build/Embperl-2.3.0/xs/Embperl'
    make[3]: Entering directory `/blosm/Core/output/build/Embperl-2.3.0/xs/Embperl/App'
    ...
    make[1]: Leaving directory `/blosm/Core/output/build/Embperl-2.3.0/xs'

    PERL_DL_NONLAZY=0 /blosm/Core/third-party/perl/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl

    loading...                    Name "main::SAVEERR" used only once: possible typo at test.pl line 1936.
    ok

    Testing offline mode...

    #0 ascii...

    [-1]]"
    [-2][725]ERR:  24:  Error in Perl code: Compilation error


    ERRORS detected! NOT all tests have been passed successfully

    cat: test/tmp/httpd.pid: No such file or directory
    make: *** [test_dynamic] Error 1
    === 2 === Mon 18:57:26 /blosm/Core/output/build/Embperl-2.3.0 ===>
    ceklof@blosm$
  • Ed Grimm at May 15, 2012 at 6:14 pm
    I seem to recall this error was previously identified when trying to use
    Embperl with perl 5.14.x. Embperl 2.4.0 apparently came out in 2010
    October, and I'm pretty sure I heard about this problem since then. So
    you may want to try pulling the latest code from SVN, if you need to use
    perl 5.14.x. There was apparently code added in 2011 August, which at
    least mentions this issue.

    --
    Ed Grimm
    Identity Services



    From:
    Carl Eklof <carl@beesw.com>
    To:
    "embperl@perl.apache.org" <embperl@perl.apache.org>
    Date:
    05/15/2012 01:51 PM
    Subject:
    "Error in perl code: Compilation error"



    I'm building our project (which uses Embperl) on a new machine. Everything
    built ok, but Embperl won't run. Running `make test` yields the text
    below. Aside from upgrading Perl, it is a suite of software that has been
    working and building fine on a bunch of other machines.

    "Compilation error" is not terribly informative. Any help/advice anyone
    has would be greatly appreciated.

    Thanks,

    -Carl

    System: Linux blosm.com 2.6.18-238.37.1.el5 #1 SMP Fri Apr 6 13:47:10 EDT
    2012 x86_64 x86_64 x86_64 GNU/Linux
    OS: Red Hat Enterprise Linux Server release 5.6 (Tikanga)
    Perl: 5.14.2
    Embperl: 2.3.0
    Apache:2.2.4
    Modperl:2.0.6

    #### running make test #################

    === 2 === Mon 18:57:10 /blosm/Core/output/build/Embperl-2.3.0 ===>
    ceklof@blosm$ make test
    make[1]: Entering directory `/blosm/Core/output/build/Embperl-2.3.0/xs'
    make[2]: Entering directory
    `/blosm/Core/output/build/Embperl-2.3.0/xs/Embperl'
    make[3]: Entering directory
    `/blosm/Core/output/build/Embperl-2.3.0/xs/Embperl/App'
    ...
    make[1]: Leaving directory `/blosm/Core/output/build/Embperl-2.3.0/xs'
    PERL_DL_NONLAZY=0 /blosm/Core/third-party/perl/bin/perl "-Iblib/lib"
    "-Iblib/arch" test.pl

    loading... Name "main::SAVEERR" used only once:
    possible typo at test.pl line 1936.
    ok

    Testing offline mode...

    #0 ascii...

    [-1]]"
    [-2][725]ERR: 24: Error in Perl code: Compilation error


    ERRORS detected! NOT all tests have been passed successfully

    cat: test/tmp/httpd.pid: No such file or directory
    make: *** [test_dynamic] Error 1
    === 2 === Mon 18:57:26 /blosm/Core/output/build/Embperl-2.3.0 ===>
    ceklof@blosm$
  • Gerald Richter at May 15, 2012 at 6:15 pm
    For Perl 5.14 please take a look at the Embperl 2.5.0 snapshot. See discussions here http://mail-archives.apache.org/mod_mbox/perl-embperl/201203.mbox/browser <http://mail-archives.apache.org/mod_mbox/perl-embperl/201203.mbox/browser>


    Gerald



    From: Carl Eklof
    Sent: Tuesday, May 15, 2012 4:14 AM
    To: embperl@perl.apache.org
    Subject: "Error in perl code: Compilation error"


    I'm building our project (which uses Embperl) on a new machine. Everything built ok, but Embperl won't run. Running `make test` yields the text below. Aside from upgrading Perl, it is a suite of software that has been working and building fine on a bunch of other machines.


    "Compilation error" is not terribly informative. Any help/advice anyone has would be greatly appreciated.


    Thanks,


    -Carl


    System: Linux blosm.com 2.6.18-238.37.1.el5 #1 SMP Fri Apr 6 13:47:10 EDT 2012 x86_64 x86_64 x86_64 GNU/Linux

    OS: Red Hat Enterprise Linux Server release 5.6 (Tikanga)
    Perl: 5.14.2

    Embperl: 2.3.0
    Apache:2.2.4
    Modperl:2.0.6


    #### running make test #################


    === 2 === Mon 18:57:10 /blosm/Core/output/build/Embperl-2.3.0 ===>

    ceklof@blosm$ make test

    make[1]: Entering directory `/blosm/Core/output/build/Embperl-2.3.0/xs'

    make[2]: Entering directory `/blosm/Core/output/build/Embperl-2.3.0/xs/Embperl'

    make[3]: Entering directory `/blosm/Core/output/build/Embperl-2.3.0/xs/Embperl/App'

    ...

    make[1]: Leaving directory `/blosm/Core/output/build/Embperl-2.3.0/xs'

    PERL_DL_NONLAZY=0 /blosm/Core/third-party/perl/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl


    loading... Name "main::SAVEERR" used only once: possible typo at test.pl line 1936.

    ok


    Testing offline mode...


    #0 ascii...


    [-1]]"

    [-2][725]ERR: 24: Error in Perl code: Compilation error



    ERRORS detected! NOT all tests have been passed successfully


    cat: test/tmp/httpd.pid: No such file or directory

    make: *** [test_dynamic] Error 1

    === 2 === Mon 18:57:26 /blosm/Core/output/build/Embperl-2.3.0 ===>

    ceklof@blosm$

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupembperl @
categoriesmodperl, perl
postedApr 2, '12 at 12:54p
activeMay 15, '12 at 6:15p
posts7
users4
websiteperl.apache.org

People

Translate

site design / logo © 2018 Grokbase